Create attachments

Creates a attachment in Business Central. An attachment in the Business Central API is defined as an Incoming Document (table 130).

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST businesscentralPrefix/companies({id})/attachments

Request headers

HeaderValue
AuthorizationBearer {token}. Required.
Content-Typeapplication/json

Request body

In the request body, supply a JSON representation of a attachment object.

Response

If successful, this method returns 201 Created response code and a attachment object in the response body.

Example

Request

Here's an example of a request.

POST https://{businesscentralPrefix}/api/v2.0/companies({id})/attachments({id})

Content-type: application/json
```json
{
    "parentId" : "0a077d18-45e3-ea11-bb43-000d3a2feca1",
    "fileName": "myPDF.pdf",
    "parentType": "Journal"
}

ParentId is the Id of the entity, for which an attachment is being created.

Response

HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "b282a6f1-bfe3-ea11-aa60-000d3ad7cacb",
    "parentId": "0a077d18-45e3-ea11-bb43-000d3a2feca1",
    "fileName": "myPDF.pdf",
    "byteSize": 0,
    "lastModifiedDateTime": "2020-08-21T15:06:53Z",
    "parentType": "Journal"
}

Tips for working with the APIs attachment Get attachment Delete attachment Update attachment te.md)